Package org.apache.solr.cluster.api

## Interface Shard

    public interface Shard

A shard of a collection

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `collection()` collection this shard belongs to
`String` `leader()` Name of the replica that is acting as the leader at the moment
`String` `name()` name of the shard
`HashRange` `range()` hash range of this shard.
`SimpleMap<ShardReplica>` `replicas()` replicas of the shard

### Method Detail

#### name

    String name()

name of the shard

#### collection

    String collection()

collection this shard belongs to

#### range

    HashRange range()

hash range of this shard. null if this is not using hash based router

#### replicas

    SimpleMap<ShardReplica> replicas()

replicas of the shard

#### leader

    String leader()

Name of the replica that is acting as the leader at the moment